Loading...
Searching...
No Matches
Opm::RestartIO::Helpers::AggregateWellData Class Reference

## Public Member Functions

| AggregateWellData (const std::vector< int > &inteHead)
void | captureDeclaredWellData (const Schedule &sched, const TracerConfig &tracer, const std::size_t sim_step, const Opm::Action::State &action_state, const Opm::WellTestState &wtest_state, const Opm::SummaryState &smry, const std::vector< int > &inteHead)
void | captureDeclaredWellData (const Schedule &sched, const EclipseGrid &grid, const TracerConfig &tracer, const std::size_t sim_step, const Opm::Action::State &action_state, const Opm::WellTestState &wtest_state, const Opm::SummaryState &smry, const std::vector< int > &inteHead)
void | captureDeclaredWellDataLGR (const Schedule &sched, const EclipseGrid &grid, const TracerConfig &tracer, const std::size_t sim_step, const Opm::Action::State &action_state, const Opm::WellTestState &wtest_state, const Opm::SummaryState &smry, const std::vector< int > &inteHead, const std::string &lgr_tag)
void | captureDynamicWellData (const Opm::Schedule &sched, const TracerConfig &tracer, const std::size_t sim_step, const Opm::data::Wells &xw, const Opm::SummaryState &smry)
void | captureDynamicWellDataLGR (const Opm::Schedule &sched, const TracerConfig &tracer, const std::size_t sim_step, const Opm::data::Wells &xw, const Opm::SummaryState &smry, const std::string &lgr_tag)
const std::vector< int > & | getIWell () const
| Retrieve Integer Well Data Array.
const std::vector< float > & | getSWell () const
| Retrieve Floating-Point (Real) Well Data Array.
const std::vector< double > & | getXWell () const
| Retrieve Floating-Point (Double Precision) Well Data Array.
const std::vector< EclIO::PaddedOutputString< 8 > > & | getZWell () const
| Retrieve Character Well Data Array.
const std::vector< int > & | getLGWell () const
| Retrieve Interger LGWell Data Array.

The documentation for this class was generated from the following files:

- opm/output/eclipse/AggregateWellData.hpp
- opm/output/eclipse/AggregateWellData.cpp